THRIFT(1)

NAME
thrift - code generator/compiler for Thrift IDL

SYNOPSIS
thrift [options] source_file

DESCRIPTION
Thrift is a framework for efficient serialization and RPC services. The thrift compiler accepts a source file containing definitions of Thrift structs and services, and generates the language-specific code to implement them.

OPTIONS

-version
    print the compiler version and exit

-o DIRECTORY
    Set the output directory for gen-* packages (default: current directory)

-out DIRECTORY
    Set the ouput location for generated files. (no gen-* folder will be created)

-I DIRECTORY
    Add a directory to the list of directories searched for include directives

-nowarn
    Suppress all compiler warnings (BAD!)

-strict
    Strict compiler warnings on

-v[erbose]
    Verbose mode

-r[ecurse]
    Also generate included files

-debug
    Parse debug trace to stdout

--gen STRING
    Generate code with a dynamically-registered generator. STRING has the form language[:key1=val1[,key2,[key3=val3]]]. Keys and values are options passed to the generator. Many options will not require values. For a complete list of supported generators, run thrift without arguments.

AUTHOR
Thrift is a top-level project of the Apache Software Foundation, (see http://thrift.apache.org).

This manual page was written by Eric Evans <eevans@debian.org> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.